summaryrefslogtreecommitdiff
path: root/taler-build/update_exchange.sh
diff options
context:
space:
mode:
Diffstat (limited to 'taler-build/update_exchange.sh')
-rwxr-xr-xtaler-build/update_exchange.sh35
1 files changed, 15 insertions, 20 deletions
diff --git a/taler-build/update_exchange.sh b/taler-build/update_exchange.sh
index 1e96119..aa8d617 100755
--- a/taler-build/update_exchange.sh
+++ b/taler-build/update_exchange.sh
@@ -1,25 +1,20 @@
#!/bin/bash
-export PATH="$HOME/deployment":$PATH
+set -eu
-build_exchange() {
- (
- set -eu
+cd $HOME/exchange
+git clean -fdx
- cd $HOME/exchange
- git clean -fdx
- ./bootstrap
- ./configure CFLAGS='-ggdb -O0' \
- --with-libgnurl=$HOME/local \
- --with-microhttpd=$HOME/local \
- --prefix=$HOME/local --with-gnunet=$HOME/local \
- --enable-logging=verbose
- make
- make install
- )
-}
+# like "git pull", but robust against force pushes
+# and local changes
+git fetch
+git reset --hard FETCH_HEAD
-cd $HOME/exchange && \
- git pull && \
- cd $HOME/deployment && \
- build_exchange
+./bootstrap
+./configure CFLAGS='-ggdb -O0' \
+ --with-libgnurl=$HOME/local \
+ --with-microhttpd=$HOME/local \
+ --prefix=$HOME/local --with-gnunet=$HOME/local \
+ --enable-logging=verbose
+make
+make install